Skip to main content
GET
Get workflow

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"01a1ff7c-f8e5-7f8d-8a29-00f361644bf2"

Response

The requested Workflow

Defines an automation workflow with its configuration, status, and associated meta data.

id
string
required
read-only

Unique identifier for the workflow (uuidv7).

Example:

"01a1ff7c-a693-7998-a845-41b1856940d2"

name
string
required

The human-readable name of the workflow.

Example:

"My Workflow"

organization_id
string
required
read-only

ID of the organization this workflow belongs to.

Example:

"org-1"

status
number
required

The status of the workflow (0 = draft, 1 = active, 2 = paused).

Example:

1

timestamp_created
string
required
read-only

Timestamp when the workflow was created.

Example:

"2026-11-21T19:02:01.619Z"

timestamp_updated
string
required
read-only

Timestamp when the workflow was last updated.

Example:

"2026-11-21T19:02:01.619Z"

flow
object

The workflow configuration storing nodes and edges.

Example:
meta
object
read-only

Additional meta information for the workflow (e.g., associated apps, run statistics).

pause_reason
null | string
read-only

Reason the workflow was paused (e.g. "out_of_credits"). Null when not paused or paused manually.

Example:

"out_of_credits"